summaryrefslogtreecommitdiff
path: root/support/zblbuild/install
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/zblbuild/install
Initial commit
Diffstat (limited to 'support/zblbuild/install')
-rwxr-xr-xsupport/zblbuild/install36
1 files changed, 36 insertions, 0 deletions
diff --git a/support/zblbuild/install b/support/zblbuild/install
new file mode 100755
index 0000000000..7aaa470220
--- /dev/null
+++ b/support/zblbuild/install
@@ -0,0 +1,36 @@
+#!/bin/bash
+# INSTALLATION script for:
+# ZBLBUILD
+# version 0.1c
+# guido.milanese@unicatt.it
+# 2019.08.28
+#
+# Copyright (c) 2019 Guido Milanese
+# License:
+# The LaTeX Project Public License License (LPPL)
+# version 1.3c or later
+# This work may be distributed and/or modified under the
+# conditions of the LaTeX Project Public License, either version 1.3
+# of this license or (at your option) any later version.
+# The latest version of this license is in
+# http://www.latex-project.org/lppl.txt
+# and version 1.3 or later is part of all distributions of LaTeX
+# version 2005/12/01 or later.
+#
+# This work has the LPPL maintenance status `maintained'.
+#
+# The Current Maintainer of this work is Guido Milanese.
+#
+# This work consists of the file ``install`` for zblbuild-select
+
+if [[ $(id -u) -ne 0 ]] ; then printf "Please run as root/sudo\n" ; exit 1 ; fi
+printf "Please enter your username (not root)\n"
+read -p "Username: " USERNAME
+
+chmod +x zblbuild
+chmod +x zblbuild.desktop
+cp zblbuild /usr/bin
+mkdir /usr/share/icons/zblbuild
+cp bibtex_icon.png /usr/share/icons/zblbuild
+cp zblbuild.desktop /home/$USERNAME/Desktop
+printf "\nzblbuild installed\n"